/*********************************************************************/
/* Program name:      FTPBATCH                                       */
/* Author:            Mandy Shaw.                                    */
/* Date completed:    15/3/96                                        */
/* Function:          Batch FTP processing.                          */
/* Processing:        Simple program. See code.                      */
/* Input:             File of commands, file for output, host name   */
/*                    to connect to.                                 */
/* Output normal:     None.                                          */
/* Output error:      Return exceptions to caller.                   */
/* Restrictions:      None.                                          */
/*********************************************************************/
PGM (&INPUTFILE &OUTPUTFILE &HOST)
/*********************************************************************/
/* Program parameters. */
DCL &INPUTFILE *CHAR 30
DCL &OUTPUTFILE *CHAR 30
DCL &HOST *CHAR 64
/* Local variables. */
DCL &INPFILOBJ *CHAR 10
DCL &INPFILLIB *CHAR 10
DCL &INPFILMBR *CHAR 10
DCL &OUTFILOBJ *CHAR 10
DCL &OUTFILLIB *CHAR 10
DCL &OUTFILMBR *CHAR 10
/* Message handling. */
DCL &LMSGID *CHAR 7
DCL &LMSGDTA *CHAR 256
DCL &LMSGF *CHAR 10
DCL &LMSGFLIB *CHAR 10
/*********************************************************************/
MONMSG (CPF0001 CPF0006) EXEC(GOTO VALID)
MONMSG (MCH0000 CPF0000) EXEC(GOTO ERROR)
/*********************************************************************/
/* CHGCMD QSYS/FTP ALLOW(*ALL) assumed done */
CHGVAR &INPFILOBJ %SST(&INPUTFILE 1 10)
CHGVAR &INPFILLIB %SST(&INPUTFILE 11 10)
CHGVAR &INPFILMBR %SST(&INPUTFILE 21 10)
CHGVAR &OUTFILOBJ %SST(&OUTPUTFILE 1 10)
CHGVAR &OUTFILLIB %SST(&OUTPUTFILE 11 10)
CHGVAR &OUTFILMBR %SST(&OUTPUTFILE 21 10)
OVRDBF FILE(INPUT) TOFILE(&INPFILLIB/&INPFILOBJ) +
         MBR(&INPFILMBR)
OVRDBF FILE(OUTPUT) TOFILE(&OUTFILLIB/&OUTFILOBJ) +
         MBR(&OUTFILMBR)
FTP RMTSYS(&HOST)
OVRPRTF FILE(QSYSPRT) SPLFNAME(FTPBATCH)
CPYF FROMFILE(&OUTFILLIB/&OUTFILOBJ) +
       TOFILE(QSYSPRT) FROMMBR(&OUTFILMBR)
DLTOVR FILE(*ALL)
RETURN
/*********************************************************************/
VALID: RCVMSG MSGTYPE(*DIAG) MSGDTA(&LMSGDTA) MSGID(&LMSGID) +
              MSGF(&LMSGF) SNDMSGFLIB(&LMSGFLIB)
       SNDPGMMSG MSGID(&LMSGID) MSGF(&LMSGFLIB/&LMSGF) +
                 MSGDTA(&LMSGDTA) MSGTYPE(*DIAG)
ERROR: RCVMSG MSGTYPE(*EXCP) MSGDTA(&LMSGDTA) MSGID(&LMSGID) +
              MSGF(&LMSGF) SNDMSGFLIB(&LMSGFLIB)
          MONMSG CPF0000 EXEC(GOTO PGMERR)
       SNDPGMMSG MSGID(&LMSGID) MSGF(&LMSGFLIB/&LMSGF) +
                 MSGDTA(&LMSGDTA) MSGTYPE(*ESCAPE)
          MONMSG CPF0000 EXEC(GOTO PGMERR)
/*********************************************************************/
PGMERR: SNDPGMMSG MSGID(CPF0001) MSGF(QCPFMSG) +
                    MSGDTA(FTPBATCH) +
                    MSGTYPE(*ESCAPE)
           MONMSG CPF0000
ENDPGM
